# Réutilisation des sockets TIME_WAIT
net.ipv4.tcp_tw_reuse = 1

# Délai minimal avant suppression d'une connexion fermée
net.ipv4.tcp_fin_timeout = 5

# Augmente la plage de ports éphémères
net.ipv4.ip_local_port_range = 10000 65535

# Grosse file d'attente pour les connexions SYN en attente
net.ipv4.tcp_max_syn_backlog = 20480
net.core.somaxconn = 65535

# Activer la protection anti SYN flood
net.ipv4.tcp_syncookies = 1
